#include <bits/stdc++.h>
using namespace std;

int main(){
	int n; cin >> n;
	int jela[n];
	int recepti[n];
	int scenarije[n];
	map<int, int> jelaM, scenarijeM;
	map<int, vector<int>> receptiM;
	for(int i = 0; i < n; i++){
		cin >> jela[i];
		jelaM[jela[i]]++;
	}
	for(int i = 0; i < n; i++){
		cin >> recepti[i];
		receptiM[recepti[i]].push_back(i);
	}
	for(int i = 0; i < n; i++){
		cin >> scenarije[i];
		scenarijeM[scenarije[i]]++;
	}
	sort(scenarije, scenarije+n);
	int x = scenarije[0];
	bool specijalni = true;
	for(int i = 0; i < n; i++){
		if(scenarije[i]!=x){
			specijalni = false;
			break;
		}
	}
	int krajnji = 0;
	if(specijalni){
		int spec = scenarije[0];
		for(int i = 0; i < n; i++){
			if(jela[i] == recepti[spec-1]) krajnji++;
		}
	}
	else{
		for(int i = 0; i < n; i++){
			krajnji += jelaM[recepti[scenarije[i]-1]];
		}
	}
	cout<<krajnji;
}